@import "@/styles/colors";
@import "@/styles/mixins/typography";

.tag {
  display: flex;
  align-items: center;
  column-gap: 4px;
  -webkit-border-radius: 32px;
  -moz-border-radius: 32px;
  border-radius: 32px;
  padding: 4px 8px;
  width: min-content;
  height: min-content;
}

.xs {
  & > svg {
    width: 16px;
    height: 16px;
  }

  & > span {
    @include typography("xs-semibold");
  }
}

.sm {
  & > svg {
    width: 20px;
    height: 20px;
  }

  & > span {
    @include typography("sm-semibold");
  }
}

.base {
  & > svg {
    width: 24px;
    height: 24px;
  }

  & > span {
    @include typography("base-semibold");
  }
}

.left {
  & > svg {
    order: 0;
  }
}

.right {
  & > svg {
    order: 1;
  }
}

.green {
  & > span, & > svg {
    color: $color-green-600;
  }

  background-color: $color-green-200;
}

.indigo {
  & > span, & > svg {
    color: $color-indigo-600;
  }

  background-color: $color-indigo-200;
}

.red {
  & > span, & > svg {
    color: $color-red-600;
  }

  background-color: $color-red-200;
}

.blue {
  & > span, & > svg {
    color: $color-blue-600;
  }

  background-color: $color-blue-200;
}

.cyan {
  & > span, & > svg {
    color: $color-cyan-600;
  }

  background-color: $color-cyan-200;
}

.orange {
  & > span, & > svg {
    color: $color-orange-600;
  }

  background-color: $color-orange-200;
}

.yellow {
  & > span, & > svg {
    color: $color-yellow-600;
  }

  background-color: $color-yellow-200;
}

.pink {
  & > span, & > svg {
    color: $color-pink-600;
  }

  background-color: $color-pink-200;
}

.secondary {
  & > span, & > svg {
    color: $color-white;
  }

  background-color: $color-custom-secondary-button-bg-hollow-button-border;
}

.outlined {
  padding: 2px 6px;

  & > span, & > svg {
    color: $color-white;
  }

  background-color: transparent;
}